using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_2_1
{
  public partial class frmSavings : Form
  {
    public frmSavings()
    {
      InitializeComponent();
    }

    double deposit;
    double interest;
    double months;
    double final;

    private void btnCalculate_Click(object sender, EventArgs e)
    {
      double intRate;
      // read values from text boxes
      deposit = Convert.ToDouble(txtDeposit.Text);
      interest = Convert.ToDouble(txtInterest.Text);
      intRate = interest / 1200;
      months = Convert.ToDouble(txtMonths.Text);
      // compute final value and put in text box
      if (interest == 0)
      {
        final = deposit * months;
      }
      else
      {
        final = deposit * (Math.Pow(1 + intRate, months) - 1) / intRate;
      }
      txtFinal.Text = String.Format("{0:f2}", final);
    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }
    private void txtDeposit_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to next box
        txtInterest.Focus();
      }
      else if (e.KeyChar == '.')
      {
        // check for existence of decimal point
        if (txtDeposit.Text.IndexOf(".") == -1)
        {
          e.Handled = false;
        }
        else
        {
          e.Handled = true;
        }
      }
      else
      {
        e.Handled = true;
      }
    }
    private void txtInterest_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter    
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to next box
        txtMonths.Focus();
      }
      else if (e.KeyChar == '.')
      {
        // check for existence of decimal point
        if (txtDeposit.Text.IndexOf(".") == -1)
        {
          e.Handled = false;
        }
        else
        {
          e.Handled = true;
        }
      }
      else
      {
        e.Handled = true;
      }
    }
    private void txtMonths_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to calculate button
        btnCalculate.Focus();
      }
      else
      {
        e.Handled = true;
      }
    }

  }
}